package com.mortals.xhx.module.sst.model;

import java.util.List;
import com.mortals.xhx.module.sst.model.SstBasicEntity;
/**
 * 基础配置查询对象
 *
 * @author zxfei
 * @date 2023-02-27
 */
public class SstBasicQuery extends SstBasicEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 标题名称 */
    private List<String> titleNameList;

    /** 标题名称排除列表 */
    private List <String> titleNameNotList;
    /** Logo图片地址 */
    private List<String> logoUrlList;

    /** Logo图片地址排除列表 */
    private List <String> logoUrlNotList;
    /** 小程序二维码图片地址 */
    private List<String> appletCodeList;

    /** 小程序二维码图片地址排除列表 */
    private List <String> appletCodeNotList;
    /** 微信微博二维码图片地址 */
    private List<String> wechatCodeList;

    /** 微信微博二维码图片地址排除列表 */
    private List <String> wechatCodeNotList;
    /** 开始 屏保时间单位分 */
    private Integer saverTimeStart;

    /** 结束 屏保时间单位分 */
    private Integer saverTimeEnd;

    /** 增加 屏保时间单位分 */
    private Integer saverTimeIncrement;

    /** 屏保时间单位分列表 */
    private List <Integer> saverTimeList;

    /** 屏保时间单位分排除列表 */
    private List <Integer> saverTimeNotList;

    /** 屏保图片地址 */
    private List<String> saverPicList;

    /** 屏保图片地址排除列表 */
    private List <String> saverPicNotList;
    /** 技术支持 */
    private List<String> supportList;

    /** 技术支持排除列表 */
    private List <String> supportNotList;
    /** 主办单位 */
    private List<String> sponsorList;

    /** 主办单位排除列表 */
    private List <String> sponsorNotList;
    /** 承办单位 */
    private List<String> organizerList;

    /** 承办单位排除列表 */
    private List <String> organizerNotList;
    /** 备案号 */
    private List<String> recordList;

    /** 备案号排除列表 */
    private List <String> recordNotList;
    /** 开始 启用长辈模式0不启用1启用 */
    private Integer elderEnableStart;

    /** 结束 启用长辈模式0不启用1启用 */
    private Integer elderEnableEnd;

    /** 增加 启用长辈模式0不启用1启用 */
    private Integer elderEnableIncrement;

    /** 启用长辈模式0不启用1启用列表 */
    private List <Integer> elderEnableList;

    /** 启用长辈模式0不启用1启用排除列表 */
    private List <Integer> elderEnableNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 轮播图图片地址 */
    private List<String> carouselPicList;

    /** 轮播图图片地址排除列表 */
    private List <String> carouselPicNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SstBasicQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SstBasicQuery> andConditionList;

    public SstBasicQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 标题名称
     * @return titleNameList
     */
    public List<String> getTitleNameList(){
        return this.titleNameList;
    }

    /**
     * 设置 标题名称
     * @param titleNameList
     */
    public void setTitleNameList(List<String> titleNameList){
        this.titleNameList = titleNameList;
    }

    /**
     * 获取 标题名称
     * @return titleNameNotList
     */
    public List<String> getTitleNameNotList(){
        return this.titleNameNotList;
    }

    /**
     * 设置 标题名称
     * @param titleNameNotList
     */
    public void setTitleNameNotList(List<String> titleNameNotList){
        this.titleNameNotList = titleNameNotList;
    }

    /**
     * 获取 Logo图片地址
     * @return logoUrlList
     */
    public List<String> getLogoUrlList(){
        return this.logoUrlList;
    }

    /**
     * 设置 Logo图片地址
     * @param logoUrlList
     */
    public void setLogoUrlList(List<String> logoUrlList){
        this.logoUrlList = logoUrlList;
    }

    /**
     * 获取 Logo图片地址
     * @return logoUrlNotList
     */
    public List<String> getLogoUrlNotList(){
        return this.logoUrlNotList;
    }

    /**
     * 设置 Logo图片地址
     * @param logoUrlNotList
     */
    public void setLogoUrlNotList(List<String> logoUrlNotList){
        this.logoUrlNotList = logoUrlNotList;
    }

    /**
     * 获取 小程序二维码图片地址
     * @return appletCodeList
     */
    public List<String> getAppletCodeList(){
        return this.appletCodeList;
    }

    /**
     * 设置 小程序二维码图片地址
     * @param appletCodeList
     */
    public void setAppletCodeList(List<String> appletCodeList){
        this.appletCodeList = appletCodeList;
    }

    /**
     * 获取 小程序二维码图片地址
     * @return appletCodeNotList
     */
    public List<String> getAppletCodeNotList(){
        return this.appletCodeNotList;
    }

    /**
     * 设置 小程序二维码图片地址
     * @param appletCodeNotList
     */
    public void setAppletCodeNotList(List<String> appletCodeNotList){
        this.appletCodeNotList = appletCodeNotList;
    }

    /**
     * 获取 微信微博二维码图片地址
     * @return wechatCodeList
     */
    public List<String> getWechatCodeList(){
        return this.wechatCodeList;
    }

    /**
     * 设置 微信微博二维码图片地址
     * @param wechatCodeList
     */
    public void setWechatCodeList(List<String> wechatCodeList){
        this.wechatCodeList = wechatCodeList;
    }

    /**
     * 获取 微信微博二维码图片地址
     * @return wechatCodeNotList
     */
    public List<String> getWechatCodeNotList(){
        return this.wechatCodeNotList;
    }

    /**
     * 设置 微信微博二维码图片地址
     * @param wechatCodeNotList
     */
    public void setWechatCodeNotList(List<String> wechatCodeNotList){
        this.wechatCodeNotList = wechatCodeNotList;
    }

    /**
     * 获取 开始 屏保时间单位分
     * @return saverTimeStart
     */
    public Integer getSaverTimeStart(){
        return this.saverTimeStart;
    }

    /**
     * 设置 开始 屏保时间单位分
     * @param saverTimeStart
     */
    public void setSaverTimeStart(Integer saverTimeStart){
        this.saverTimeStart = saverTimeStart;
    }

    /**
     * 获取 结束 屏保时间单位分
     * @return $saverTimeEnd
     */
    public Integer getSaverTimeEnd(){
        return this.saverTimeEnd;
    }

    /**
     * 设置 结束 屏保时间单位分
     * @param saverTimeEnd
     */
    public void setSaverTimeEnd(Integer saverTimeEnd){
        this.saverTimeEnd = saverTimeEnd;
    }

    /**
     * 获取 增加 屏保时间单位分
     * @return saverTimeIncrement
     */
    public Integer getSaverTimeIncrement(){
        return this.saverTimeIncrement;
    }

    /**
     * 设置 增加 屏保时间单位分
     * @param saverTimeIncrement
     */
    public void setSaverTimeIncrement(Integer saverTimeIncrement){
        this.saverTimeIncrement = saverTimeIncrement;
    }

    /**
     * 获取 屏保时间单位分
     * @return saverTimeList
     */
    public List<Integer> getSaverTimeList(){
        return this.saverTimeList;
    }

    /**
     * 设置 屏保时间单位分
     * @param saverTimeList
     */
    public void setSaverTimeList(List<Integer> saverTimeList){
        this.saverTimeList = saverTimeList;
    }

    /**
     * 获取 屏保时间单位分
     * @return saverTimeNotList
     */
    public List<Integer> getSaverTimeNotList(){
        return this.saverTimeNotList;
    }

    /**
     * 设置 屏保时间单位分
     * @param saverTimeNotList
     */
    public void setSaverTimeNotList(List<Integer> saverTimeNotList){
        this.saverTimeNotList = saverTimeNotList;
    }


    /**
     * 获取 屏保图片地址
     * @return saverPicList
     */
    public List<String> getSaverPicList(){
        return this.saverPicList;
    }

    /**
     * 设置 屏保图片地址
     * @param saverPicList
     */
    public void setSaverPicList(List<String> saverPicList){
        this.saverPicList = saverPicList;
    }

    /**
     * 获取 屏保图片地址
     * @return saverPicNotList
     */
    public List<String> getSaverPicNotList(){
        return this.saverPicNotList;
    }

    /**
     * 设置 屏保图片地址
     * @param saverPicNotList
     */
    public void setSaverPicNotList(List<String> saverPicNotList){
        this.saverPicNotList = saverPicNotList;
    }

    /**
     * 获取 技术支持
     * @return supportList
     */
    public List<String> getSupportList(){
        return this.supportList;
    }

    /**
     * 设置 技术支持
     * @param supportList
     */
    public void setSupportList(List<String> supportList){
        this.supportList = supportList;
    }

    /**
     * 获取 技术支持
     * @return supportNotList
     */
    public List<String> getSupportNotList(){
        return this.supportNotList;
    }

    /**
     * 设置 技术支持
     * @param supportNotList
     */
    public void setSupportNotList(List<String> supportNotList){
        this.supportNotList = supportNotList;
    }

    /**
     * 获取 主办单位
     * @return sponsorList
     */
    public List<String> getSponsorList(){
        return this.sponsorList;
    }

    /**
     * 设置 主办单位
     * @param sponsorList
     */
    public void setSponsorList(List<String> sponsorList){
        this.sponsorList = sponsorList;
    }

    /**
     * 获取 主办单位
     * @return sponsorNotList
     */
    public List<String> getSponsorNotList(){
        return this.sponsorNotList;
    }

    /**
     * 设置 主办单位
     * @param sponsorNotList
     */
    public void setSponsorNotList(List<String> sponsorNotList){
        this.sponsorNotList = sponsorNotList;
    }

    /**
     * 获取 承办单位
     * @return organizerList
     */
    public List<String> getOrganizerList(){
        return this.organizerList;
    }

    /**
     * 设置 承办单位
     * @param organizerList
     */
    public void setOrganizerList(List<String> organizerList){
        this.organizerList = organizerList;
    }

    /**
     * 获取 承办单位
     * @return organizerNotList
     */
    public List<String> getOrganizerNotList(){
        return this.organizerNotList;
    }

    /**
     * 设置 承办单位
     * @param organizerNotList
     */
    public void setOrganizerNotList(List<String> organizerNotList){
        this.organizerNotList = organizerNotList;
    }

    /**
     * 获取 备案号
     * @return recordList
     */
    public List<String> getRecordList(){
        return this.recordList;
    }

    /**
     * 设置 备案号
     * @param recordList
     */
    public void setRecordList(List<String> recordList){
        this.recordList = recordList;
    }

    /**
     * 获取 备案号
     * @return recordNotList
     */
    public List<String> getRecordNotList(){
        return this.recordNotList;
    }

    /**
     * 设置 备案号
     * @param recordNotList
     */
    public void setRecordNotList(List<String> recordNotList){
        this.recordNotList = recordNotList;
    }

    /**
     * 获取 开始 启用长辈模式0不启用1启用
     * @return elderEnableStart
     */
    public Integer getElderEnableStart(){
        return this.elderEnableStart;
    }

    /**
     * 设置 开始 启用长辈模式0不启用1启用
     * @param elderEnableStart
     */
    public void setElderEnableStart(Integer elderEnableStart){
        this.elderEnableStart = elderEnableStart;
    }

    /**
     * 获取 结束 启用长辈模式0不启用1启用
     * @return $elderEnableEnd
     */
    public Integer getElderEnableEnd(){
        return this.elderEnableEnd;
    }

    /**
     * 设置 结束 启用长辈模式0不启用1启用
     * @param elderEnableEnd
     */
    public void setElderEnableEnd(Integer elderEnableEnd){
        this.elderEnableEnd = elderEnableEnd;
    }

    /**
     * 获取 增加 启用长辈模式0不启用1启用
     * @return elderEnableIncrement
     */
    public Integer getElderEnableIncrement(){
        return this.elderEnableIncrement;
    }

    /**
     * 设置 增加 启用长辈模式0不启用1启用
     * @param elderEnableIncrement
     */
    public void setElderEnableIncrement(Integer elderEnableIncrement){
        this.elderEnableIncrement = elderEnableIncrement;
    }

    /**
     * 获取 启用长辈模式0不启用1启用
     * @return elderEnableList
     */
    public List<Integer> getElderEnableList(){
        return this.elderEnableList;
    }

    /**
     * 设置 启用长辈模式0不启用1启用
     * @param elderEnableList
     */
    public void setElderEnableList(List<Integer> elderEnableList){
        this.elderEnableList = elderEnableList;
    }

    /**
     * 获取 启用长辈模式0不启用1启用
     * @return elderEnableNotList
     */
    public List<Integer> getElderEnableNotList(){
        return this.elderEnableNotList;
    }

    /**
     * 设置 启用长辈模式0不启用1启用
     * @param elderEnableNotList
     */
    public void setElderEnableNotList(List<Integer> elderEnableNotList){
        this.elderEnableNotList = elderEnableNotList;
    }


    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 轮播图图片地址
     * @return carouselPicList
     */
    public List<String> getCarouselPicList(){
        return this.carouselPicList;
    }

    /**
     * 设置 轮播图图片地址
     * @param carouselPicList
     */
    public void setCarouselPicList(List<String> carouselPicList){
        this.carouselPicList = carouselPicList;
    }

    /**
     * 获取 轮播图图片地址
     * @return carouselPicNotList
     */
    public List<String> getCarouselPicNotList(){
        return this.carouselPicNotList;
    }

    /**
     * 设置 轮播图图片地址
     * @param carouselPicNotList
     */
    public void setCarouselPicNotList(List<String> carouselPicNotList){
        this.carouselPicNotList = carouselPicNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public SstBasicQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public SstBasicQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public SstBasicQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public SstBasicQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public SstBasicQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public SstBasicQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public SstBasicQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public SstBasicQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public SstBasicQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public SstBasicQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public SstBasicQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public SstBasicQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 标题名称
     * @param titleName
     */
    public SstBasicQuery titleName(String titleName){
        setTitleName(titleName);
        return this;
    }

    /**
     * 设置 标题名称
     * @param titleNameList
     */
    public SstBasicQuery titleNameList(List<String> titleNameList){
        this.titleNameList = titleNameList;
        return this;
    }


    /**
     * 设置 Logo图片地址
     * @param logoUrl
     */
    public SstBasicQuery logoUrl(String logoUrl){
        setLogoUrl(logoUrl);
        return this;
    }

    /**
     * 设置 Logo图片地址
     * @param logoUrlList
     */
    public SstBasicQuery logoUrlList(List<String> logoUrlList){
        this.logoUrlList = logoUrlList;
        return this;
    }


    /**
     * 设置 小程序二维码图片地址
     * @param appletCode
     */
    public SstBasicQuery appletCode(String appletCode){
        setAppletCode(appletCode);
        return this;
    }

    /**
     * 设置 小程序二维码图片地址
     * @param appletCodeList
     */
    public SstBasicQuery appletCodeList(List<String> appletCodeList){
        this.appletCodeList = appletCodeList;
        return this;
    }


    /**
     * 设置 微信微博二维码图片地址
     * @param wechatCode
     */
    public SstBasicQuery wechatCode(String wechatCode){
        setWechatCode(wechatCode);
        return this;
    }

    /**
     * 设置 微信微博二维码图片地址
     * @param wechatCodeList
     */
    public SstBasicQuery wechatCodeList(List<String> wechatCodeList){
        this.wechatCodeList = wechatCodeList;
        return this;
    }

    /**
     * 设置  屏保时间单位分
     * @param saverTime
     */
    public SstBasicQuery saverTime(Integer saverTime){
        setSaverTime(saverTime);
        return this;
    }

    /**
     * 设置 开始 屏保时间单位分
     * @param saverTimeStart
     */
    public SstBasicQuery saverTimeStart(Integer saverTimeStart){
        this.saverTimeStart = saverTimeStart;
        return this;
    }

    /**
     * 设置 结束 屏保时间单位分
     * @param saverTimeEnd
     */
    public SstBasicQuery saverTimeEnd(Integer saverTimeEnd){
        this.saverTimeEnd = saverTimeEnd;
        return this;
    }

    /**
     * 设置 增加 屏保时间单位分
     * @param saverTimeIncrement
     */
    public SstBasicQuery saverTimeIncrement(Integer saverTimeIncrement){
        this.saverTimeIncrement = saverTimeIncrement;
        return this;
    }

    /**
     * 设置 屏保时间单位分
     * @param saverTimeList
     */
    public SstBasicQuery saverTimeList(List<Integer> saverTimeList){
        this.saverTimeList = saverTimeList;
        return this;
    }

    /**
     * 设置 屏保时间单位分
     * @param saverTimeNotList
     */
    public SstBasicQuery saverTimeNotList(List<Integer> saverTimeNotList){
        this.saverTimeNotList = saverTimeNotList;
        return this;
    }


    /**
     * 设置 屏保图片地址
     * @param saverPic
     */
    public SstBasicQuery saverPic(String saverPic){
        setSaverPic(saverPic);
        return this;
    }

    /**
     * 设置 屏保图片地址
     * @param saverPicList
     */
    public SstBasicQuery saverPicList(List<String> saverPicList){
        this.saverPicList = saverPicList;
        return this;
    }


    /**
     * 设置 技术支持
     * @param support
     */
    public SstBasicQuery support(String support){
        setSupport(support);
        return this;
    }

    /**
     * 设置 技术支持
     * @param supportList
     */
    public SstBasicQuery supportList(List<String> supportList){
        this.supportList = supportList;
        return this;
    }


    /**
     * 设置 主办单位
     * @param sponsor
     */
    public SstBasicQuery sponsor(String sponsor){
        setSponsor(sponsor);
        return this;
    }

    /**
     * 设置 主办单位
     * @param sponsorList
     */
    public SstBasicQuery sponsorList(List<String> sponsorList){
        this.sponsorList = sponsorList;
        return this;
    }


    /**
     * 设置 承办单位
     * @param organizer
     */
    public SstBasicQuery organizer(String organizer){
        setOrganizer(organizer);
        return this;
    }

    /**
     * 设置 承办单位
     * @param organizerList
     */
    public SstBasicQuery organizerList(List<String> organizerList){
        this.organizerList = organizerList;
        return this;
    }


    /**
     * 设置 备案号
     * @param record
     */
    public SstBasicQuery record(String record){
        setRecord(record);
        return this;
    }

    /**
     * 设置 备案号
     * @param recordList
     */
    public SstBasicQuery recordList(List<String> recordList){
        this.recordList = recordList;
        return this;
    }

    /**
     * 设置  启用长辈模式0不启用1启用
     * @param elderEnable
     */
    public SstBasicQuery elderEnable(Integer elderEnable){
        setElderEnable(elderEnable);
        return this;
    }

    /**
     * 设置 开始 启用长辈模式0不启用1启用
     * @param elderEnableStart
     */
    public SstBasicQuery elderEnableStart(Integer elderEnableStart){
        this.elderEnableStart = elderEnableStart;
        return this;
    }

    /**
     * 设置 结束 启用长辈模式0不启用1启用
     * @param elderEnableEnd
     */
    public SstBasicQuery elderEnableEnd(Integer elderEnableEnd){
        this.elderEnableEnd = elderEnableEnd;
        return this;
    }

    /**
     * 设置 增加 启用长辈模式0不启用1启用
     * @param elderEnableIncrement
     */
    public SstBasicQuery elderEnableIncrement(Integer elderEnableIncrement){
        this.elderEnableIncrement = elderEnableIncrement;
        return this;
    }

    /**
     * 设置 启用长辈模式0不启用1启用
     * @param elderEnableList
     */
    public SstBasicQuery elderEnableList(List<Integer> elderEnableList){
        this.elderEnableList = elderEnableList;
        return this;
    }

    /**
     * 设置 启用长辈模式0不启用1启用
     * @param elderEnableNotList
     */
    public SstBasicQuery elderEnableNotList(List<Integer> elderEnableNotList){
        this.elderEnableNotList = elderEnableNotList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public SstBasicQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public SstBasicQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public SstBasicQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public SstBasicQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public SstBasicQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public SstBasicQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public SstBasicQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public SstBasicQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public SstBasicQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public SstBasicQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public SstBasicQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public SstBasicQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 轮播图图片地址
     * @param carouselPic
     */
    public SstBasicQuery carouselPic(String carouselPic){
        setCarouselPic(carouselPic);
        return this;
    }

    /**
     * 设置 轮播图图片地址
     * @param carouselPicList
     */
    public SstBasicQuery carouselPicList(List<String> carouselPicList){
        this.carouselPicList = carouselPicList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<SstBasicQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<SstBasicQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<SstBasicQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<SstBasicQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}